## kile 2.0.1

=== src/kile/complete/tex/CMakeLists.txt ===

########### install files ###############
# get this cwl list with "for i in `ls *.cwl -1`; do echo "$i";  done"
SET(kile_texCompleteFiles
	acronym.cwl
	amsopn.cwl
	afterpage.cwl
	amsbsy.cwl
	amsfonts.cwl
	amsmath.cwl
	amssymb.cwl
	amsthm.cwl
	array.cwl
	attachfile.cwl
	beamerfoils.cwl
	beamerprosper.cwl
	beamerseminar.cwl
	beamertexpower.cwl
	booktabs.cwl
	braket.cwl
	calc.cwl
	class-beamer.cwl
	class-letter.cwl
	class-scrartcl,scrreprt,scrbook.cwl
	class-scrlttr2.cwl
	color.cwl
	colortbl.cwl
	coordsys.cwl
	currvita.cwl
	cyrillic.cwl
	diagxy.cwl
	doi.cwl
	enumerate.cwl
	fancybox.cwl
	fancyhdr.cwl
	fancyunits-base.cwl
	fancyunits_big-fractions.cwl
	fancyunits_medium-fractions.cwl
	fancyunits-np.cwl
	fancyunits-per.cwl
	fancyunits_small-fractions.cwl
	fancyvrb.cwl
	fontspec.cwl
	graphicx.cwl
	hyperref.cwl
	ifthen.cwl
	import.cwl
	jurabib.cwl
	latex-209.cwl
	latex-dev.cwl
	latex-document.cwl
	latex-l2tabu.cwl
	latex-mathsymbols.cwl
	layout.cwl
	listings.cwl
	logsys.cwl
	longtable.cwl
	lscape.cwl
	manyfoot.cwl
	mdwlist.cwl
	multicol.cwl
	multido.cwl
	pdfpages.cwl
	psfrag.cwl
	pst-3d.cwl
	pst-blur.cwl
	pst-char.cwl
	pst-coil.cwl
	pst-eps.cwl
	pst-fill.cwl
	pst-node.cwl
	pst-plot.cwl
	pstricks.cwl
	pst-text.cwl
	pst-tree.cwl
	rotating.cwl
	scraddr.cwl
	scrdate.cwl
	scrlfile.cwl
	scrpage2.cwl
	scrtime.cwl
	setspace.cwl
	subfig.cwl
	supertabular.cwl
	svninfo.cwl
	svn-multi.cwl
	tabularx.cwl
	tex.cwl
	textcomp.cwl
	url.cwl
	varioref.cwl
	verse.cwl
	virginialake.cwl
	xifthen.cwl
	xltxtra.cwl
	xtab.cwl
	yfonts.cwl
)

INSTALL( FILES ${kile_texCompleteFiles} DESTINATION share/apps/kile/complete/tex )
