=== src/data/CMakeLists.txt ===
ADD_SUBDIRECTORY( complete )
ADD_SUBDIRECTORY( encodings )
ADD_SUBDIRECTORY( help )
ADD_SUBDIRECTORY( icons )
ADD_SUBDIRECTORY( pics )
ADD_SUBDIRECTORY( symbols )
ADD_SUBDIRECTORY( templates )
