=== src/data/pics/CMakeLists.txt ===

########### install files ###############

INSTALL( FILES type_Book.tex.kileicon type_Letter.tex.kileicon
type_Scrartcl.tex.kileicon type_Default.png
type_Project.png type_Scrbook.tex.kileicon kile_splash.png
type_Article.tex.kileicon type_Empty.png type_Prosper.tex.kileicon
type_Scrlttr2.tex.kileicon type_Beamer.tex.kileicon
type_HA-prosper.tex.kileicon type_Report.tex.kileicon
type_Scrreprt.tex.kileicon DESTINATION ${DATA_INSTALL_DIR}/kile/pics )
