=== src/data/symbols/arrows/CMakeLists.txt ===
file(GLOB symbols *.png)

INSTALL( FILES ${symbols} DESTINATION ${DATA_INSTALL_DIR}/kile/mathsymbols/arrows )
