## kile 2.1.0~svn1014763beta2

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 			COMMENT "Compiling ${_language} docbook in ${_relative_dir}/${_docbook}" )
 
 	INSTALL( FILES ${_compiled_docbook} ${_dependencies} DESTINATION
-${HTML_INSTALL_DIR}/${_language})
+${HTML_INSTALL_DIR}/${_language}/kile)
 	SET( ${_sources} ${${_sources}} ${_compiled_docbook} )
 ENDMACRO( KILE_ADD_DOCBOOK_DIRECTORY _sources _docbook _language )
 
@@ -143,5 +143,5 @@
 	SET(_KILE_SPECIAL_DOC_DIR "share/doc/kile")
 ENDIF( KILE_VERSION )
 
-INSTALL( FILES AUTHORS ChangeLog README README.cwl kile-remote-control.txt README.MacOSX TODO DESTINATION ${_KILE_SPECIAL_DOC_DIR}) 
+INSTALL( FILES AUTHORS ChangeLog README README.cwl kile-remote-control.txt README.MacOSX DESTINATION ${_KILE_SPECIAL_DOC_DIR})
