=== src/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	dialogs/quickdocumentdialog.cpp
 	widgets/filebrowserwidget.cpp
 	docpart.cpp
+	symbolviewclasses.h
 	kile.cpp
 	main.cpp
 	kileactions.cpp
@@ -97,6 +98,7 @@
 	dialogs/tabular/tabulartable.cpp
 	configurationmanager.cpp
 	utilities.cpp
+	abbreviationmanager.cpp
 )
 
 SET( kile_UI
@@ -161,7 +163,7 @@
 TARGET_LINK_LIBRARIES(kile ${KDE4_KHTML_LIBS} ${KDE4_KROSSCORE_LIBS} 
 ${KDE4_KFILE_LIBS} ${KDE4_KTEXTEDITOR_LIBS})
 
-INSTALL( TARGETS kile DESTINATION ${BIN_INSTALL_DIR} )
+INSTALL( TARGETS kile ${INSTALL_TARGETS_DEFAULT_ARGS} )
