## kile 2.1.0~svn1112278beta4

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,7 @@
 			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir}
 			COMMENT "Compiling ${_language} docbook in ${_relative_dir}/${_docbook}" )
 
-	INSTALL( FILES ${_compiled_docbook} ${_dependencies} DESTINATION
-${HTML_INSTALL_DIR}/${_language}/kile)
+	INSTALL( FILES ${_compiled_docbook} ${_source_docbook} ${_dependencies} DESTINATION ${HTML_INSTALL_DIR}/${_language}/kile )
 	SET( ${_sources} ${${_sources}} ${_compiled_docbook} )
 ENDMACRO( KILE_ADD_DOCBOOK_DIRECTORY _sources _docbook _language )
