=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	dialogs/configurationdialog.cpp
 	dialogs/tabbingdialog.cpp
 	widgets/symbolview.cpp
+	widgets/commandview.cpp
 	dialogs/quickdocumentdialog.cpp
 	widgets/filebrowserwidget.cpp
 	docpart.cpp
@@ -85,6 +86,8 @@
 	kileextensions.cpp
 	widgets/categorycombobox.cpp
 	widgets/extendedscrollarea.cpp
+	widgets/progressdialog.h
+	widgets/progressdialog.cpp
 	scripting/bindings.cpp
 	scriptmanager.cpp
 	dialogs/tabular/multicolumnborderhelper.cpp
@@ -99,6 +102,7 @@
 	configurationmanager.cpp
 	utilities.cpp
 	abbreviationmanager.cpp
+	editorcommands.cpp
 )
 
 SET( kile_UI
