=== debian/changelog ===
kile (1:2.1.0~svn1112278beta4-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Recommend firefox instead of iceweasel.
    - debain/control: Don't suggest kile-i18n

 -- Andreas Wenning <awen@awen.dk>  Tue, 22 Jun 2010 13:34:03 +0200

kile (1:2.1.0~svn1112278beta4-2) unstable; urgency=low

  * Update location of KDE 4 HTML documentation.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 Jun 2010 01:04:52 +0300

kile (1:2.1.0~svn1112278beta4-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #579884), remaining changes:
    - debian/control: Recommend firefox instead of iceweasel to have it look
      like (konqueror | firefox); on default Ubuntu kile will then no longer
      install konqueror. (LP: #452079)
    - debain/control: Don't suggest kile-i18n
    - debian/kile-doc.install: Install to /usr/share/doc/kde/HTML
  * Remove revert-rev1086758.diff, replaced by
    00_root_document_not_detected_kde_bug_233667.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 13 May 2010 12:24:49 +0200

kile (1:2.1.0~svn1112278beta4-1) unstable; urgency=low

  * New upstream release 2.1 beta 4 - svn 1112278. (Closes: #578021)
  * Add 03_mime_install_dir.diff patch: convert the mimetype definitions
    to the XDG format also remove the old KDE 3 definition. (Closes: #572462)
  * Add 00_root_document_not_detected_kde_bug_233667.diff patch:
    Document not detected as Latex root document when opening project.

 -- Fathi Boudra <fabo@debian.org>  Fri, 16 Apr 2010 12:08:37 +0300

kile (1:2.1.0~svn1112263beta4-0ubuntu1) lucid; urgency=low

  * New upstream beta release. (LP: #559068, #453143)
  * Refresh patch kubuntu_02_disable_embedded_kbibtex.diff
  * Add revert-rev1086758.diff to revert revision causing regression.
    - See https://bugs.kde.org/show_bug.cgi?id=233667

 -- Andreas Wenning <awen@awen.dk>  Fri, 09 Apr 2010 11:18:29 +0200

kile (1:2.1.0~svn1079982-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot including beta3.
    (LP: #409581, #432931, #429336, #267113, 476860, 427538)
  * debian/control: Recommend firefox instead of iceweasel to have it look like
    (konqueror | firefox); on default Ubuntu kile will then no longer install
    konqueror. (LP: #452079)
  * debian/rules: Use override_dh_compress to not compress index.docbook.

 -- Andreas Wenning <awen@awen.dk>  Wed, 27 Jan 2010 02:29:58 +0100

kile (1:2.1.0~svn1055250beta3-1) unstable; urgency=low

  * New upstream release 2.1 beta 3 - svn r1055250. (Closes: #566240)
  * Update debian/control:
    - Bump build dependencies versions (debhelper, pkg-kde-tools and
      kdelibs5-dev).
    - Remove quilt build dependency.
    - Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).
    - Use kde sequence addon (pass --with kde option to dh).
    - Add override_dh_compress to avoid docbook files compression.
  * Merge from Ubuntu:
    - Add debian/patches/kubuntu_01_improved_viewpart_warning.diff
      instruct how to restore tools config; as an out-dated configuration from
      pre KDE 4 is the most likely cause of the embedded viewer failing.
    - Add kubuntu_02_disable_embedded_kbibtex.diff
      KBibTex-part isn't available for KDE 4 and KBibTex porting does not look
      to happen anytime soon, so disable the Embedded KBibTex option for now.

 -- Fathi Boudra <fabo@debian.org>  Mon, 08 Feb 2010 16:13:31 +0100

kile (1:2.1.0~svn1014763beta2-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debain/control: Don't suggest kile-i18n
    - debian/kile-doc.install: Install to /usr/share/doc/kde/HTML
  * Fixes (LP: #404879, #403140, #400778)
  * Add debian/patches/kubuntu_01_improved_viewpart_warning.diff to instruct
    how to restore tools config; as an out-dated configuration from pre-KDE4
    is the most likely cause of the embedded viewer failing. (LP: #375913)
  * Add kubuntu_02_disable_embedded_kbibtex.diff. No KBibTex-part is
    available for KDE4 and KBibTex porting does not look to happen anytime
    soon, so disable the Embedded KBibTex option for now. (LP: #376004)

 -- Andreas Wenning <awen@awen.dk>  Wed, 26 Aug 2009 01:15:50 +0200

kile (1:2.1.0~svn1014763beta2-1) unstable; urgency=low

  * New upstream release 2.1 beta 2 - svn r1014763. (Closes: #543282)
  * Update debian/control:
    - Bump build dependencies versions (quilt, debhelper, pkg-kde-tools and
      kdelibs5-dev).
    - Bump Standards-Version from 3.8.2 to 3.8.3 (add debian/README.source).
    - Add evince to Recommends field.
  * Update debian/rules:
    - Cleanup targets since dh support cmake.
  * Remove debian/postinst file - useless.

 -- Fathi Boudra <fabo@debian.org>  Mon, 24 Aug 2009 09:52:01 +0200

kile (1:2.1.0~svn981319beta1-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debain/control: Don't suggest kile-i18n
    - debian/kile-doc.install: Install to /usr/share/doc/kde/HTML
  * Closes (LP: #380640)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 23 Jun 2009 19:48:30 -0400

kile (1:2.1.0~svn981319beta1-1) unstable; urgency=low

  * New upstream release 2.1 beta 1 - svn r981319 (Closes:#533204):
    - Fix opening configure shortcuts window pins CPU at 100% (Closes: #519746)
    - Fix does not let user input '^' character (Closes: #519905)
    - Fix does not save custom shortcuts (Closes: #528831)
  * Update debian/control:
    - Bump kdelibs5-dev build dependency to 4.2.4
    - Bump Standards-Version to 3.8.2 (no changes needed)
    - Add spell-check dictionary Suggests: aspell | ispell | hspell
  * Update debian/kile.docs: remove TODO* files
  * Cleanup debian/rules: use dh. Thanks to debhelper 7

 -- Fathi Boudra <fabo@debian.org>  Sun, 21 Jun 2009 11:30:24 +0200

kile (1:2.1.0~svn963524-1ubuntu2) karmic; urgency=low

  * Update maintainer


