=== debian/control ===
Source: kile
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), shared-mime-info
Standards-Version: 3.8.4
Homepage: http://kile.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kile/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kile/trunk

Package: kile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 konsole, texlive-base-bin, texlive-latex-base
Recommends: asymptote, context, dblatex, dvipdfmx, dvipng, ghostscript,
 imagemagick, kbibtex | pybliographer | gbib | jabref, konqueror | firefox,
 latex2html, lilypond, okular | evince | gv, psutils, tex4ht, texlive-metapost,
 texlive-xetex, zip
Suggests: kile-doc, texlive-doc-base,
 aspell | ispell | hspell
Conflicts: ktexmaker2 (<< 1.8)
Replaces: ktexmaker2 (<< 1.8)
Description: KDE Integrated LaTeX Environment
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Integrated LaTeX Environment (documentation)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 This package contains the documentation for Kile.
