=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with kde

override_dh_install:
	# Fix lintian warning: script-not-executable
	find debian -type f -name '*.sh' -or -name '*.pl' | xargs chmod +x

	# Syntax files bibtex.xml and latex.xml are provided by kdelibs5-data package.
	find debian -type f -name bibtex.xml -or -name latex.xml -delete

	# Fix lintian warning: package-contains-readme-for-other-platform-or-distro
	find debian -type f -name README.MacOSX -delete

	dh_install --list-missing

.PHONY: override_dh_auto_test
