## kile 2.1.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -57,7 +57,6 @@
 	widgets/konsolewidget.cpp
 	kilewizard.cpp
 	widgets/structurewidget.cpp
-	codecompletion.cpp
 	widgets/codecompletionconfigwidget.cpp
 	widgets/toolconfigwidget.cpp
 	editorextension.cpp
@@ -72,7 +71,6 @@
 	configtester.cpp
 	widgets/sidebar.cpp
 	plaintolatexconverter.cpp
-	kileuntitled.cpp
 	dialogs/statisticsdialog.cpp
 	widgets/statisticswidget.cpp
 	widgets/previewwidget.cpp
@@ -85,7 +83,6 @@
 	dialogs/abbreviationinputdialog.cpp
 	kileextensions.cpp
 	widgets/categorycombobox.cpp
-	widgets/extendedscrollarea.cpp
 	widgets/progressdialog.h
 	widgets/progressdialog.cpp
 	scripting/bindings.cpp
@@ -106,6 +103,7 @@
 )
 
 SET( kile_UI
+	widgets/codecompletionconfigwidget.ui
 	widgets/helpconfigwidget.ui
 	widgets/latexconfigwidget.ui
 	widgets/generalconfigwidget.ui
@@ -149,6 +147,42 @@
 	widgets/maintoolconfigwidget.cpp
 )
 
+# Special handling of code completion due to the removal of 'KTextEditor::SmartRange' from
+# KDE SC 4.5 onwards
+
+# SET(kile_SRCS ${kile_SRCS} ${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.h
+#                            ${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.cpp)
+
+if( ${KDE_VERSION} VERSION_EQUAL "4.5" OR  ${KDE_VERSION} VERSION_GREATER "4.5" )
+  MESSAGE( STATUS "Configuring code completion for KDE SC >= 4.5" )
+
+  SET(CODECOMPLETION_MODELCONTROLLERINTERFACE_CLASSNAME CodeCompletionModelControllerInterface3)
+  SET(CODECOMPLETION_RANGE_CLASSNAME "Range")
+  SET(CODECOMPLETION_RANGE_EXTRA "const")
+  SET(CODECOMPLETION_RANGE_RETURN "KTextEditor::Range")
+else( ${KDE_VERSION} VERSION_EQUAL "4.5" OR  ${KDE_VERSION} VERSION_GREATER "4.5" )
+  MESSAGE( STATUS "Configuring code completion for KDE SC < 4.5")
+
+  SET(CODECOMPLETION_MODELCONTROLLERINTERFACE_CLASSNAME CodeCompletionModelControllerInterface)
+  SET(CODECOMPLETION_RANGE_CLASSNAME "SmartRange")
+  SET(CODECOMPLETION_RANGE_EXTRA "")
+  SET(CODECOMPLETION_RANGE_RETURN "void")
+ENDIF( ${KDE_VERSION} VERSION_EQUAL "4.5" OR  ${KDE_VERSION} VERSION_GREATER "4.5" )
+
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.h
+               ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.h)
+
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.cpp
+               ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.cpp)
+
+SET(kile_SRCS
+    ${kile_SRCS}
+    ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.h
+    ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.cpp)
+
+
+
+
 SET(kile_SRCS ${kile_SRCS} ${kile_UI_SRCS})
 
 KDE4_ADD_UI_FILES(kile_SRCS ${kile_UI})
@@ -174,7 +208,7 @@
 ########### install files ###############
 
 INSTALL( FILES net.sourceforge.kile.main.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
-INSTALL( FILES kile.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+INSTALL( PROGRAMS kile.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 INSTALL( FILES kile.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
 INSTALL( FILES data/bibtexentries.rc data/biblatexentries.rc
 kileui.rc docpartui.rc tips DESTINATION ${DATA_INSTALL_DIR}/kile )
