=== debian/changelog ===
kile (1:2.1.0-1ubuntu2.1) precise-proposed; urgency=low

  * Fixed segfault on close when a project is open (LP: #994498). Patch by
    Eugene Shalygin.

 -- Alessandro Menti <alessandro.menti@hotmail.it>  Tue, 07 Aug 2012 19:52:40 +0200

kile (1:2.1.0-1ubuntu2) precise; urgency=low

  * Add kubuntu_use_utf8.diff to prevent pulling in texlive-latex-extra

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 16 Apr 2012 00:46:18 +0530

kile (1:2.1.0-1ubuntu1) oneiric; urgency=low

  * export NO_PNG_PKG_MANGLE=1 so the image metadata isn't stripped from the
    latex symbol icons in the archive builds as kile depends on it. 
    This really fixes LP: #772631 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 01 Oct 2011 01:36:40 +0200

kile (1:2.1.0-1build1) oneiric; urgency=low

  * No changes rebuild to fix binary package, LP: #772631

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Sep 2011 10:47:04 +0100

kile (1:2.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #630122)
  * Add kile-l10n package (replace kile-i18n).
  * Remove patches:
    - 00_root_document_not_detected_kde_bug_233667.diff - stolen upstream.
    - 03_mime_install_dir.diff - merged upstream.
  * Update debian/rules: remove bibtex.xml/latex.xml work around. The files
    aren't shipped by kile anymore.
  * Cleanup dependencies (Closes: #625916):
    - remove from Depends: texlive-base-bin.
    - add to Recommends: texlive.
    - demote to Suggests: lilypond, texlive-xetex, asymptote, context, dblatex,
      latex2html, tex4ht.
    - remove from Recommends:, okular | evince | gv,
      kbibtex | pybliographer | gbib | jabref, konqueror | firefox, dvipdfmx,
      texlive-metapost.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Jun 2011 14:55:19 +0300
