=== debian/control ===
Source: kile
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 7.4.15),
               kdelibs5-dev (>= 4:4.4.4),
               pkg-kde-tools (>= 0.9.0),
               shared-mime-info
Standards-Version: 3.9.2
Homepage: http://kile.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kile/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kile/trunk

Package: kile
Architecture: any
Depends: konsole, texlive-latex-base, ${misc:Depends}, ${shlibs:Depends}
Recommends: dvipng, ghostscript, imagemagick, psutils, texlive
Suggests: aspell | ispell | hspell,
          asymptote,
          context,
          dblatex,
          kile-doc,
          kile-l10n,
          latex2html,
          lilypond,
          tex4ht,
          texlive-doc-base,
          texlive-xetex,
          zip
Breaks: ktexmaker2 (<< 1.8)
Replaces: ktexmaker2 (<< 1.8)
Description: KDE Integrated LaTeX Environment
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integrated LaTeX Environment (documentation)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 This package contains the documentation for Kile.

Package: kile-l10n
Architecture: all
Section: localization
Depends: kile (>= ${source:Version}), ${misc:Depends}
Breaks: kile-i18n (<< 2.1.0-1)
Replaces: kile-i18n (<< 2.1.0-1)
Description: KDE Integrated LaTeX Environment (localization)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 This package contains the translations for Kile.
