## kile 2.1.2

=== debian/changelog ===
kile (1:2.1.2-0ubuntu1) quantal; urgency=low

  * New upstream bug fix release [LP: #1009626]

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Jun 2012 22:02:31 +0200
